Bug 476474 - Review Request: ebook-tools - Tools for accessing and converting various ebook file formats
Review Request: ebook-tools - Tools for accessing and converting various eboo...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-14 22:57 EST by john5342
Modified: 2009-01-07 16:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-07 16:50:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmaslano: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description john5342 2008-12-14 22:57:01 EST
Spec URL: http://john5342.fedorapeople.org/rpms/ebook-tools.spec
SRPM URL: http://john5342.fedorapeople.org/rpms/ebook-tools-0.1.1-1.fc10.src.rpm

Description: Tools for accessing and converting various ebook file formats.

scratch-build: http://koji.fedoraproject.org/koji/taskinfo?taskID=998726

This package besides a couple of utilities includes libepub which provides support for the epub document format for okular.
Comment 1 Marcela Mašláňová 2008-12-15 07:24:25 EST
I try to use it on command line, but no luck yet. lit2epub doesn't work, because clit wasn't and maybe can't be in our repo. 

Anyway it looks like the libepub will be working well with okular (http://okular.kde.org/download.php). 

OK source files match upstream: 
OK package meets naming and versioning guidelines.
OK specfile is properly named, is cleanly written and uses macros consistently.
OK dist tag is present.
OK build root is correct.
OK license field MIT matches the actual license.
OK license is open source-compatible. License text not included upstream.
OK latest version is being packaged.
OK BuildRequires are proper.
OK %clean is present.
OK package builds in mock (Rawhide/x86_64).
http://koji.fedoraproject.org/koji/taskinfo?taskID=999213
OK debuginfo package looks complete.
OK rpmlint is silent.
ebook-tools.x86_64: W: no-documentation
OK final provides and requires look sane.
OK no shared libraries are added to the regular linker search paths.
OK owns the directories it creates.
OK no duplicates in %files.
OK file permissions are appropriate.
OK no scriptlets present.
OK code, not content.
OK documentation is small, so no -docs subpackage is necessary.
OK %docs are not necessary for the proper functioning of the package.
OK no headers.
OK no pkgconfig files.
OK no libtool .la droppings.
Comment 2 john5342 2008-12-15 10:56:34 EST
New Package CVS Request
=======================
Package Name: ebook-tools
Short Description: Tools for accessing and converting various ebook file formats
Owners: john5342
Branches: F-9 F-10
InitialCC:
Comment 3 R P Herrold 2008-12-15 11:46:39 EST
I get a cmake related error:

-- Found LibXml2: /usr/lib64/libxml2.so
CMake Error at cmake/FindPackageHandleStandardArgs.cmake:51 (MESSAGE):
  Could not find REQUIRED package LibZip
Call Stack (most recent call first):
  cmake/FindLibZip.cmake:28 (FIND_PACKAGE_HANDLE_STANDARD_ARGS)
  CMakeLists.txt:10 (find_package)


CMake Warning (dev) in CMakeLists.txt:
  No cmake_minimum_required command is present.  A line of code such as

    cmake_minimum_required(VERSION 2.6)

  should be added at the top of the file.  The version specified may be lower
  if you wish to support older CMake versions for this project.  For more
  information run "cmake --help-policy CMP0000".
This warning is for project developers.  Use -Wno-dev to suppress it.

-- Configuring incomplete, errors occurred!
error: Bad exit status from /var/tmp/rpm-tmp.15551 (%build)
Comment 4 Marcela Mašláňová 2008-12-15 11:52:04 EST
I'm not familiar with cmake, but I was able to build it in koji (mock). So this package is probably all right.
Which version of cmake do you have? I think this package will be in F-9, F-10, where would be cmake-2.6.2.
Comment 5 john5342 2008-12-15 12:09:00 EST
(In reply to comment #3)
> I get a cmake related error:
> 
> -- Found LibXml2: /usr/lib64/libxml2.so
> CMake Error at cmake/FindPackageHandleStandardArgs.cmake:51 (MESSAGE):
>   Could not find REQUIRED package LibZip
> Call Stack (most recent call first):
>   cmake/FindLibZip.cmake:28 (FIND_PACKAGE_HANDLE_STANDARD_ARGS)
>   CMakeLists.txt:10 (find_package)

What arch/release are you building for?
Version of cmake and libzip?
If build was on koji have you got a link to the build?


> CMake Warning (dev) in CMakeLists.txt:
>   No cmake_minimum_required command is present.  A line of code such as
> 
>     cmake_minimum_required(VERSION 2.6)

Warning is known about and will be reported upstream shortly (doesnt stop build)


Thanks for the feedback
Comment 6 Dennis Gilmore 2008-12-15 15:14:04 EST
CVS Done
Comment 7 john5342 2008-12-16 09:20:51 EST
(In reply to comment #5)
> (In reply to comment #3)
> > I get a cmake related error:
> > 
> > -- Found LibXml2: /usr/lib64/libxml2.so
> > CMake Error at cmake/FindPackageHandleStandardArgs.cmake:51 (MESSAGE):
> >   Could not find REQUIRED package LibZip
> > Call Stack (most recent call first):
> >   cmake/FindLibZip.cmake:28 (FIND_PACKAGE_HANDLE_STANDARD_ARGS)
> >   CMakeLists.txt:10 (find_package)
> 
> What arch/release are you building for?
> Version of cmake and libzip?
> If build was on koji have you got a link to the build?

I have since imported into cvs and built for F-9, F-10 and devel andall builds went fine. Hopefully this is a one off or a config problem during a local build.

>> CMake Warning (dev) in CMakeLists.txt:
>>   No cmake_minimum_required command is present.  A line of code such as
>> 
>>     cmake_minimum_required(VERSION 2.6)
>
>Warning is known about and will be reported upstream shortly (doesnt stop
>build)

Fix for this already in upstream svn. Should be included in next upstream release.
Comment 8 Fedora Update System 2008-12-16 11:10:38 EST
ebook-tools-0.1.1-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/ebook-tools-0.1.1-2.fc9
Comment 9 Fedora Update System 2008-12-16 11:10:59 EST
ebook-tools-0.1.1-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/ebook-tools-0.1.1-2.fc10
Comment 10 R P Herrold 2008-12-16 16:45:03 EST
actualy I pushed in a updated RawHide (from a while back) libzib and that solved the matter

CentOS 5 x86_64

[herrold@centos-5 ebook-tools]$ rpm -q cmake libzip-devel
cmake-2.6.2-2orc
libzip-devel-0.8-5orc
[herrold@centos-5 ebook-tools]$
Comment 11 john5342 2008-12-16 17:02:31 EST
(In reply to comment #10)
> actualy I pushed in a updated RawHide (from a while back) libzib and that
> solved the matter
> 
> CentOS 5 x86_64
> 
> [herrold@centos-5 ebook-tools]$ rpm -q cmake libzip-devel
> cmake-2.6.2-2orc
> libzip-devel-0.8-5orc
> [herrold@centos-5 ebook-tools]$

Ok then. That explains it. Tested it with the minimum version in the repos at the time of review (cmake 2.6.2, libzip 0.8-5) and went fine. Am guessing centos had an older version. Never tested in centos because it wasnt a target platform.

Treating this build issue as resolved.
Comment 12 Fedora Update System 2008-12-21 03:17:54 EST
ebook-tools-0.1.1-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ebook-tools'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11429
Comment 13 Fedora Update System 2008-12-21 03:32:59 EST
ebook-tools-0.1.1-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update ebook-tools'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-11491
Comment 14 Fedora Update System 2009-01-07 16:50:40 EST
ebook-tools-0.1.1-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2009-01-07 16:52:46 EST
ebook-tools-0.1.1-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.